package com.ruoyi.system.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 人员离职对象 td_leave
 * 
 * @author ruoyi
 * @date 2024-04-16
 */
@Data
@Getter
@Setter
public class TdLeave extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 提交人 */
    private Long userId;

    @Excel(name = "人员姓名")
    private String userName;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    /** 城市 */
    @Excel(name = "城市")
    private String country;

    /** 地区 */
    @Excel(name = "地区")
    private String areaname;

    /** 离职原因 */
    @Excel(name = "离职原因")
    private String leavereason;

    /** 单位 */
    @Excel(name = "所属单位")
    private String depart;

    /** 离职时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "离职时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date leavedate;

    /** 工作交接 */
    @Excel(name = "工作交接", readConverterExp = "0=已交接,1=未交接")
    private String workstate;

    /** 离职状态（0：未离职，1：已离职） */
    @Excel(name = "离职状态", readConverterExp = "0=未离职,1=已离职")
    private String leavestate;

    /** 审核人 */
    @Excel(name = "审核人")
    private String examinename;

    /** 审核日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date examinedate;

    /** 审核意见（0：通过，1：不通过，2：审核中） */
    @Excel(name = "审核意见", readConverterExp = "0=通过,1不通过,2审核中")
    private String examinestate;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getId()
    {
        return id;
    }

    public void setCountry(String country) 
    {
        this.country = country;
    }

    public String getCountry() 
    {
        return country;
    }
    public void setAreaname(String areaname) 
    {
        this.areaname = areaname;
    }

    public String getAreaname() 
    {
        return areaname;
    }
    public void setLeavereason(String leavereason) 
    {
        this.leavereason = leavereason;
    }

    public String getLeavereason() 
    {
        return leavereason;
    }
    public void setDepart(String depart) 
    {
        this.depart = depart;
    }

    public String getDepart() 
    {
        return depart;
    }
    public void setLeavedate(Date leavedate) 
    {
        this.leavedate = leavedate;
    }

    public Date getLeavedate() 
    {
        return leavedate;
    }
    public void setWorkstate(String workstate) 
    {
        this.workstate = workstate;
    }

    public String getWorkstate() 
    {
        return workstate;
    }
    public void setLeavestate(String leavestate) 
    {
        this.leavestate = leavestate;
    }

    public String getLeavestate() 
    {
        return leavestate;
    }
    public void setExaminename(String examinename) 
    {
        this.examinename = examinename;
    }

    public String getExaminename() 
    {
        return examinename;
    }
    public void setExaminedate(Date examinedate) 
    {
        this.examinedate = examinedate;
    }

    public Date getExaminedate() 
    {
        return examinedate;
    }
    public void setExaminestate(String examinestate) 
    {
        this.examinestate = examinestate;
    }

    public String getExaminestate() 
    {
        return examinestate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("country", getCountry())
            .append("areaname", getAreaname())
            .append("leavereason", getLeavereason())
            .append("depart", getDepart())
            .append("leavedate", getLeavedate())
            .append("workstate", getWorkstate())
            .append("leavestate", getLeavestate())
            .append("examinename", getExaminename())
            .append("examinedate", getExaminedate())
            .append("examinestate", getExaminestate())
            .toString();
    }
}
